package com.ruoyi.project.patrol.commonuse.service;

import com.ruoyi.project.patrol.commonuse.domain.TCommonuseTester;

import java.util.List;

/**
 * 检测仪检查记录Service接口
 *
 * @author admin
 * @date 2023-11-03
 */
public interface ITCommonuseTesterService
{
    /**
     * 查询检测仪检查记录
     *
     * @param id 检测仪检查记录主键
     * @return 检测仪检查记录
     */
    public TCommonuseTester selectTCommonuseTesterById(Long id);

    /**
     * 查询检测仪检查记录列表
     *
     * @param tCommonuseTester 检测仪检查记录
     * @return 检测仪检查记录集合
     */
    public List<TCommonuseTester> selectTCommonuseTesterList(TCommonuseTester tCommonuseTester);
    public List<TCommonuseTester> selectTCommonuseTesterListToExcel(TCommonuseTester tCommonuseTester);

    /**
     * 新增检测仪检查记录
     *
     * @param tCommonuseTester 检测仪检查记录
     * @return 结果
     */
    public int insertTCommonuseTester(TCommonuseTester tCommonuseTester);

    /**
     * 修改检测仪检查记录
     *
     * @param tCommonuseTester 检测仪检查记录
     * @return 结果
     */
    public int updateTCommonuseTester(TCommonuseTester tCommonuseTester);

    /**
     * 批量删除检测仪检查记录
     *
     * @param ids 需要删除的检测仪检查记录主键集合
     * @return 结果
     */
    public int deleteTCommonuseTesterByIds(Long[] ids);

    /**
     * 删除检测仪检查记录信息
     *
     * @param id 检测仪检查记录主键
     * @return 结果
     */
    public int deleteTCommonuseTesterById(Long id);
}
